Index: vte.c
===================================================================
RCS file: /cvs/gnome/vte/src/vte.c,v
retrieving revision 1.422
diff -u -r1.422 vte.c
--- vte.c	11 Jun 2005 21:05:07 -0000	1.422
+++ vte.c	25 Jun 2005 18:28:39 -0000
@@ -6657,6 +6657,7 @@
 {
 	int i;
 	GdkColor color;
+	GtkWidget *widget;
 
 	g_return_if_fail(VTE_IS_TERMINAL(terminal));
 
@@ -6677,6 +6678,8 @@
 
 	memset(&color, 0, sizeof(color));
 
+	widget = GTK_WIDGET(terminal);
+
 	/* Initialize each item in the palette if we got any entries to work
 	 * with. */
 	for (i = 0; (i < G_N_ELEMENTS(terminal->pvt->palette)); i++) {
@@ -6685,18 +6688,14 @@
 			if (foreground != NULL) {
 				color = *foreground;
 			} else {
-				color.red = 0xc000;
-				color.blue = 0xc000;
-				color.green = 0xc000;
+				color = widget->style->text[GTK_STATE_NORMAL];
 			}
 			break;
 		case VTE_DEF_BG:
 			if (background != NULL) {
 				color = *background;
 			} else {
-				color.red = 0;
-				color.blue = 0;
-				color.green = 0;
+				color = widget->style->base[GTK_STATE_NORMAL];
 			}
 			break;
 		case VTE_BOLD_FG:
@@ -6712,14 +6711,10 @@
 						   &color);
 			break;
 		case VTE_DEF_HL:
-			color.red = 0xc000;
-			color.blue = 0xc000;
-			color.green = 0xc000;
+			color = widget->style->text[GTK_STATE_NORMAL];
 			break;
 		case VTE_CUR_BG:
-			color.red = 0x0000;
-			color.blue = 0x0000;
-			color.green = 0x0000;
+			color = widget->style->base[GTK_STATE_NORMAL];
 			break;
 		case 0 + 0:
 		case 0 + 1:
